<?php
/* @var $this SiteController */

$this->pageTitle = Yii::app()->name;
?>


<style type="text/css">

</style>
<div class="rollover-container">

    <?php
    if ((Yii::app()->user->checkAccess('System Admin')) || (Yii::app()->user->checkAccess('Super Admin')) || (Yii::app()->user->checkAccess('Facility Admin')))
    {
        // organization
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/dashboard/organization'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/organization_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'Orgnaization'), array('/dashboard/organization'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
        // POSs
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/dashboard/poss'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/pos_schedule_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'POS - Schedule'), array('/dashboard/poss'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
        //configuration
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/dashboard/configuration'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/configuration_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'Configurations'), array('/dashboard/configuration'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
    }
    if ((Yii::app()->user->checkAccess('System Admin')) || (Yii::app()->user->checkAccess('Super Admin')) || (Yii::app()->user->checkAccess('Facility Admin')))
    {
        //Persons
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/person/index'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/person_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'Persons'), array('/person/index'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');

        //Badges
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/badge/index'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/badge_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'Badges'), array('/badge/index'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
    }
    if ((Yii::app()->user->checkAccess('System Admin')) || (Yii::app()->user->checkAccess('Super Admin')) || (Yii::app()->user->checkAccess('Facility Admin')) || (Yii::app()->user->checkAccess('Finance')) || (Yii::app()->user->checkAccess('Food Manager')))
    {

        //Requests
         echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/dashboard/requests'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/requests_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'Requests'), array('/dashboard/requests'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
        //reports
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/dashboard/reports'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/expired_badges_report_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'Reports'), array('/dashboard/reports'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
    }
    if (User::canChangePassword(Yii::app()->user->id))
    {
        //Change Password
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/user/changepassword'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/change_password_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'Change Password'), array('/user/changepassword'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
    }
    if ((Yii::app()->user->checkAccess('POS Admin')) || (Yii::app()->user->checkAccess('System Admin')) || (Yii::app()->user->checkAccess('Super Admin')) || (Yii::app()->user->checkAccess('Facility Admin')) || (Yii::app()->user->checkAccess('Finance')) || (Yii::app()->user->checkAccess('Food Manager')))
    {
        //Help
        echo CHtml::openTag('div', array('class' => 'rollover'));
        echo CHtml::link('', array('/dashboard/help'), array('class' => 'rollover', 'style' => 'background-image:url(css/dashboard/help_dashboard_icon.jpg)'));
        echo CHtml::link(yii::t('default', 'help'), array('/dashboard/help'), array('class' => 'rollover_text'));
        echo CHtml::closeTag('div');
    }
    ?>


</div>
